//
//  MSFindPanel.h
//  MSInkFramework
//
//  Created by Raleigh Ledet on Sat Sep 06 2003.
//  Copyright (c) 2003 Mage Software. All rights reserved.
//

#import <AppKit/NSPanel.h>

typedef enum _MSInkFindGranularity {
    MSInkFindContains = 0,
    MSInkFindStartsWith = 1,
    MSInkFindWholeWord = 2
} MSInkFindGranularity;

typedef enum _MSInkFindOptions {
    MSInkFindIgnoreCase = 1,
    MSInkFindWraps = 2,
    MSInkFindAltRecognitions = 4
} MSInkFindOptions;

@interface MSInkFindPanel : NSObject
{
	IBOutlet NSPanel	*_findPanel;
	IBOutlet NSTextField	*_searchStringField;
	IBOutlet NSButton		*_ignoreCase;
	IBOutlet NSButton		*_wrapAround;
	IBOutlet NSButton		*_altRecognitions;
	IBOutlet NSPopUpButton  *_searchGranularity;
	
	
	IBOutlet id  _delegate;
}

-(IBAction) closePanelFindNext:(id)sender;
-(IBAction) findNext:(id)sender;
-(IBAction) findPrevious:(id)sender;
-(IBAction) updateOptions:(id)sender;


+(MSInkFindPanel*) defaultFindPanel;

- (void)setDelegate:(id)delegate;
- (id)delegate;

-(void)showInkFindPanel;
@end

@interface NSObject (MSInkFindPanelDelegateMethods)
-(UInt32)findOptions;
-(void)setFindOptions:(UInt32)options;
-(MSInkFindGranularity)findGranularity;
-(void)setFindGranularity:(MSInkFindGranularity)granularity;
@end
